{***************************************************************}
{*            RichView wrapper for QuickReport                 *}
{***************************************************************}
{*                                                             *}
{* Copyright (c) 2005-2011                                     *}
{*               Henk van Bokhorst / IVS Systemhouse B.V.      *}
{*             & QBS Software                                  *}
{* All rights reserved                                         *}
{*                                                             *}
{***************************************************************}
{*                                                             *}
{* Demo application showing how to use the database version    *}
{* of the component                                            *}
{* I think the code is self-explaining.                        *}
{*                                                             *}
{***************************************************************}

unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, RVStyle, DB, DBTables;

type
  TForm1 = class(TForm)
    ShowPreview: TButton;
    PrintBut: TButton;
    Exit: TButton;
    procedure ShowPreviewClick(Sender: TObject);
    procedure PrintButClick(Sender: TObject);
    procedure ExitClick(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

uses PrtFrm;

{$R *.dfm}

procedure TForm1.ShowPreviewClick(Sender: TObject);
begin
  PrintForm := TPrintForm.Create(Self);
  PrintForm.QuickRep1.Preview;
  PrintForm.Release;
end;

procedure TForm1.PrintButClick(Sender: TObject);
begin
  PrintForm := TPrintForm.Create(Self);
  PrintForm.QuickRep1.PrinterSetup;
  if PrintForm.QuickRep1.Tag = 0 then PrintForm.QuickRep1.Print;
  PrintForm.Release;
end;

procedure TForm1.ExitClick(Sender: TObject);
begin
  Form1.Close;
end;

end.
